@import url('https://fonts.googleapis.com/css2?family=Cormorant:ital@0;1&family=Montserrat:ital,wght@0,400;0,500;0,600;1,400&display=swap');

*,
*::after,
*::before {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html,
body {
  scroll-behavior: smooth;
}

body {
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;
  color: var(--text);
}

.container {
  max-width: 1280px;
  padding: 0 72px;
  width: 100%;
  margin: 0 auto;
}

.section-link {
  display: block;
}

@media (max-width: 1280px) {
  .container {
    max-width: 1184px;
    padding: 0 24px;
  }
}

@media (max-width: 767px) {
  .container {
    max-width: 100%;
    padding: 0 16px;
  }
}

a {
  color: var(--link);
  text-decoration: none;
}

h1,
h2 {
  font-family: 'Cormorant', serif;
  font-weight: 400;
}

/* header style */

.header {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  background: rgba(255, 255, 255, 0.8);
  z-index: 10;
}

.header__wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.menu {
  display: flex;
  align-items: center;
  gap: 48px;
}

.menu__link {
  font-size: 20px;
  line-height: 31px;
  font-weight: 500;
  transition: color .3s ease;
}

.menu__link:hover {
  color: var(--link-hover);
}

.header-burger {
  display: none;
}

.menu__close {
  display: none;
}

@media (max-width: 767px) {
  .menu {
    position: fixed;
    top: -100%;
    left: 0;
    width: 100%;
    padding: 74px 0;
    flex-direction: column;
    gap: 16px;
    background: rgba(89, 73, 59, 0.7);
    backdrop-filter: blur(10px);
    transition: all .5s ease;
  }

  .menu.menu--active {
    top: 0;
  }

  .menu__close {
    position: absolute;
    top: 16px;
    right: 16px;
    display: block;
  }

  .menu__link {
    padding: 10px 16px;
    color: #FFFFFFF2;
    font-size: 24px;
  }

  .menu__link:hover,
  .menu__link:active {
    background: #FFFFFF1A;
    color: #FFFFFFF2;
  }

  .header-burger {
    display: block;
    width: 32px;
    height: 32px;
  }
}

/* main style */

.main {
  margin-top: 128px;
}

.main__wrapper {
  display: flex;
  gap: 67px;
}

.main__content {
  display: flex;
  flex-direction: column;
  max-width: 500px;
  width: 100%;
}

.main__title {
  font-size: 114px;
  line-height: 115px;
  color: #C28161;
}

.main__subtitle {
  margin-top: 32px;
  font-size: 31px;
  line-height: 38px;
}

.main-brend {
  margin-top: 48px;
  display: flex;
  gap: 16px;
}

.main-brend__link {
  width: 84px;
  height: 84px;
  transition: all .3s ease;
}

.main-brend__link:hover {
  transform: scale(1.2);
}

.main-brend__img {
  width: 100%;
  height: 100%;
}

.main__img-tablet {
  display: none;
}

.main__img-mobile {
  display: none;
}

@media (max-width: 1153px) {
  .main__wrapper {
    gap: 40px;
  }
}

@media (max-width: 1125px) {

  .main__img {
    display: none;
  }

  .main__img-tablet {
    display: block;
  }

  .main__content {
    max-width: 100%;
  }

  .main__text-wrapper {
    display: flex;
    justify-content: space-between;
    gap: 56px;
  }

  .main__text-inner {
    max-width: 390px;
  }

  .main-brend {
    margin-top: 67px;
    justify-content: space-between;
    gap: 70px;
  }
}

@media (max-width: 767px) {
  .main-brend {
    margin-top: 50px;
  }

  .main-brend {
    gap: 0;
  }
}

@media (max-width: 750px) {
  .main__text-wrapper {
    gap: 20px;
  }
}

@media (max-width: 715px) {
  .main__title {
    font-size: 80px;
    line-height: 68px;
  }

  .main__subtitle {
    font-size: 24px;
    line-height: 29.26px;
    margin-top: 24px;
  }
}

@media (max-width: 600px) {
  .main__img-tablet {
    height: 250px;
    width: auto;
  }
}

@media (max-width: 536px) {
  .main__img-tablet {
    height: 200px;
  }

  .main-brend {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    column-gap: 16px;
  }

  .main-brend__link {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
  }

  .main-brend__link:hover {
    transform: scale(1.1);
  }

  .main-brend__img {
    max-width: 99px;
    width: 100%;
    height: auto;
  }

  .main-brend__link-1 {
    grid-column-start: 5;
    grid-column-end: 7;
    grid-row-start: 1;
  }

  .main-brend__link-2 {
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row-start: 1;
  }

  .main-brend__link-3 {
    grid-column-start: 1;
    grid-column-end: 4;
    grid-row-start: 2;
  }

  .main-brend__link-3 .main-brend__img,
  .main-brend__link-4 .main-brend__img {
    max-width: 155px;
    width: 100%;
    height: auto;
  }

  .main-brend__link-4 {
    grid-column-start: 4;
    grid-column-end: 7;
    grid-row-start: 2;
  }

  .main-brend__link-5 {
    grid-column-start: 3;
    grid-column-end: 5;
    grid-row-start: 1;
  }
}

@media (max-width: 500px) {
  .main {
    margin-top: 40px;
  }

  .main__img-mobile {
    margin-top: 10px;
    display: block;
    width: 100%;
    height: auto;
  }

  .main__img-tablet {
    display: none;
  }

  .main__text-inner {
    max-width: 100%;
  }
}

/* catering style */

.catering {
  margin-top: 132px;
}

.catering__container {
  padding-left: 0;
}

.catering__wrapper {
  display: flex;
  gap: 78px;
}

.catering__content {
  max-width: 499px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.catering__title {
  max-width: 425px;
  font-weight: 400;
  font-size: 67px;
  line-height: 78px;
  font-style: italic;
  text-transform: uppercase;
}

.catering__title br {
  display: none;
}

.catering__text {
  font-size: 16px;
  line-height: 29px;
}

.catering__img-tablet {
  display: none;
}

.catering__img-mobile {
  display: none;
}

@media (max-width: 1280px) {
  .catering__container {
    margin-left: 0;
  }
}

@media (max-width: 1125px) {

  .catering {
    margin-top: 72px;
  }

  .catering__img {
    display: none;
  }

  .catering__img-tablet {
    display: block;
    width: 100%;
    height: auto;
  }

  .catering__wrapper {
    flex-direction: column-reverse;
    gap: 40px;
  }

  .catering__container {
    padding: 0 24px;
  }

  .catering__content {
    max-width: 100%;
  }

  .catering__title {
    max-width: 703px;
  }
}

@media (max-width: 767px) {
  .catering__container {
    max-width: 100%;
    padding: 0 16px;
  }
}

@media (max-width: 715px) {
  .catering__title {
    max-width: 328px;
    font-size: 40px;
    line-height: 48.44px;
  }

  .catering__title br {
    display: block;
  }

  .catering__text {
    line-height: 28px;
  }

  .catering__wrapper {
    gap: 32px;
  }
}

@media (max-width: 500px) {
  .catering {
    margin-top: 0px;
    padding-top: 48px;
    background: #F9F8F8;
  }

  .catering__img-mobile {
    margin-top: 32px;
    display: block;
    width: 100%;
    height: auto;
  }

  .catering__img-tablet {
    display: none;
  }
}

/* brends style */

.brands-link {
  height: 90px;
  margin-top: calc(109px - 90px);
}

.brends__title {
  font-size: 67px;
  line-height: 81px;
  color: #59493BF2;
}

.brends__text {
  margin-top: 5px;
  font-size: 18px;
  line-height: 31px;
}

.brends-slider {
  margin-top: 40px;
}

.brends-slider .slick-track {
  gap: 32px;
}

.brends-slider__item {
  display: flex;
  flex-direction: column;
  gap: 16px;
  max-width: 280px;
}

.brends-slider__img-wrapper {
  position: relative;
  cursor: pointer;
  height: 336px;
}

.brends-slider__item-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  z-index: 3;
  background: #0000004D;
  transition: all .3s ease;
}

.brends-slider__item--acitve .brends-slider__item-overlay {
  opacity: 1;
}

.brends-slider__title {
  font-size: 14px;
  line-height: 17px;
  letter-spacing: 0.13em;
  font-weight: 400;
}

.brends-slider__item--acitve .brends-slider__title {
  color: #CB8C7C;
  font-weight: 600;
}

.brends-slider__img {
  width: auto;
  height: 336px;
}

@media (max-width: 1125px) {

  .brands-link {
    height: 63px;
    margin-top: calc(80px - 63px);
  }

  .brends-slider {
    display: grid;
    grid-template-columns: repeat(2, 280px);
    column-gap: 32px;
    row-gap: 40px;
  }

  .brends-slider__img {
    height: auto;
  }
}

@media (max-width: 715px) {

  .brands-link {
    margin-top: calc(56px - 63px);
  }

  .brends__title {
    font-size: 40px;
    line-height: 48.44px;
  }

  .brends__text {
    margin-top: 16px;
    font-size: 16px;
    line-height: 28px;
  }

  .brends-slider {
    margin-top: 33px;
  }
}

@media (max-width: 625px) {
  .brends-slider {
    display: flex;
    flex-direction: column;
    gap: 0;
  }

  .brends-slider__item {
    gap: 12px;
  }

  .brends-slider .slick-track {
    gap: 43px;
  }
}

@media (max-width: 600px) {

  .brends-slider__item,
  .brends-slider__img {
    max-width: 210px;
  }

  .brends-slider__img-wrapper {
    height: 251px;
  }
}

/* clients style */

.clients-link {
  height: 90px;
  margin-top: calc(170px - 90px);
}

.clients__wrapper {
  display: flex;
  align-items: center;
  gap: 53px;
}

.clients__title {
  max-width: 304px;
  font-size: 67px;
  line-height: 81px;
  text-transform: uppercase;
}

.clients__content {
  display: flex;
  gap: 78px;
}

.clients-list-wrapper,
.clients-list {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.clients-list--2 {
  display: none;
}

.clents-list__item {
  font-weight: 400;
  font-size: 16px;
  line-height: 25px;
}

.clients__img-tablet {
  display: none;
}

.clients__img-mobile {
  display: none;
}

@media (max-width: 1241px) {
  .clients__title {
    max-width: 265px;
  }
}

@media (max-width: 1202px) {

  .clients-list-wrapper,
  .clients-list {
    gap: 2px;
  }
}

@media (max-width: 1185px) {

  .clients__wrapper,
  .clients__content {
    gap: 50px;
  }
}

@media (max-width: 1125px) {

  .clients-link {
    height: 63px;
    margin-top: calc(72px - 63px);
  }

  .clients__img {
    display: none;
  }

  .clients__img-tablet {
    display: block;
    width: 100%;
    height: auto;
  }

  .clients__wrapper {
    align-items: flex-start;
    flex-direction: column;
    gap: 32px;
  }

  .clients__title {
    max-width: 100%;
  }

  .clients__content {
    width: 100%;
    flex-direction: column-reverse;
    gap: 32px;
  }

  .clients-list-wrapper {
    flex-direction: row;
    gap: 48px;
  }

  .clients-list:first-child .clents-list__item:nth-child(7) {
    max-width: 240px;
  }

  .clients-list--2 {
    display: flex;
  }
}

@media (max-width: 715px) {

  .clients-link {
    margin-top: calc(75px - 63px);
  }

  .clients__title {
    font-size: 40px;
    line-height: 48.44px;
  }

  .clients__wrapper {
    gap: 24px;
  }
}

@media (max-width: 500px) {
  .clients__img-tablet {
    display: none;
  }

  .clients__img-mobile {
    margin-top: 32px;
    display: block;
    width: 100%;
    height: auto;
  }
}

@media (max-width: 450px) {
  .clients-list-wrapper {
    flex-direction: column;
    gap: 2px;
  }
}

/* footer style */

.footer {
  padding-bottom: 72px;
}

.contact-link {
  height: 90px;
  margin-top: calc(156px - 90px);
}

.footer__wrapper {
  display: flex;
  align-items: center;
  gap: 89px;
}

.footer__title {
  font-style: italic;
  font-weight: 400;
  font-size: 67px;
  line-height: 81px;
  text-transform: uppercase;
}

.footer__content {
  width: 100%;
}

.footer-contact {
  margin-top: 79px;
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.footer-contact__item {
  display: flex;
  align-items: center;
  gap: 64px;
}

.footer-contact__item-title {
  max-width: 146px;
  width: 100%;
  font-style: italic;
  font-size: 18px;
  line-height: 31px;
  color: #CB8C7C;
}

.footer-contact__link,
.footer-contact__text {
  font-size: 18px;
  line-height: 31px;
  transition: all .3s ease;
}

.footer-contact__link:hover {
  color: #CB8C7C;
  text-decoration: underline;
}

.footer__img-tablet {
  display: none;
}

.footer__img-mobile {
  display: none;
}

@media (max-width: 1160px) {
  .footer__wrapper {
    gap: 40px;
  }
}

@media (max-width: 1125px) {

  .footer {
    padding-bottom: 24px;
  }

  .contact-link {
    height: 63px;
    margin-top: calc(99px - 63px);
  }

  .footer__img-tablet {
    display: block;
    width: 100%;
    height: auto;
  }

  .footer__img {
    display: none;
  }

  .footer-contact {
    margin-top: 40px;
    ;
  }

  .footer-contact__item {
    gap: 64px;
  }

  .footer__wrapper {
    gap: 56px;
    flex-direction: column-reverse;
  }
}

@media (max-width: 767px) {
  .footer {
    padding-bottom: 16px;
  }
}

@media (max-width: 715px) {

  .contact-link {
    margin-top: calc(48px - 63px);
  }

  .footer__title {
    font-size: 48px;
    line-height: 58.13px;
  }

  .footer-contact {
    margin-top: 48px;
  }
}

@media (max-width: 522px) {
  .footer-contact {
    gap: 36px;
  }

  .footer-contact__item {
    flex-direction: column;
    gap: 6px;
    align-items: flex-start;
  }
}

@media (max-width: 500px) {
  .footer {
    padding-bottom: 0;
  }

  .footer__img-tablet {
    display: none;
  }

  .footer__img-mobile {
    margin-top: 54px;
    display: block;
    width: 100%;
    height: auto;
  }
}